Skip to main content

Check fee account information

POST
URLhttps://open-api.tingee.vn/v1/direct-link/financial-utility/validate-charge-account

Validate the fee account

Header Request​

HeaderRequiredDescription
Content-Type✓application/json
x-client-id✓Partner identifier issued by TINGEE.
x-signature✓HMAC SHA512 authentication signature.
x-request-timestamp✓Time the request is sent (format: yyyyMMddHHmmssSSS, UTC+7)

Body Parameter​

FieldTypeRequiredDescription
bankBinstring✓Bank BIN. Currently only 970418 (BIDV) is supported. The API uses the BIDV authorization session of the Maker role.
accountNumberstring✓Fee account number to check.
cifstring✕Customer number (Customer Information File)

Code samples​

curl --location --request POST 'https://open-api.tingee.vn/v1/direct-link/financial-utility/validate-charge-account' \
--header 'accept: application/json' \
--header 'x-client-id: YOUR_CLIENT_ID' \
--header 'x-request-timestamp: 20240509154004003' \
--header 'x-signature: YOUR_SIGNATURE' \
--header 'Content-Type: application/json' \
--data '{
"bankBin": "970418",
"accountNumber": "1234567890",
"cif": "12345678"
}'

Sample Response​

{
"code": "00",
"message": "Success",
"data": {
"currentBalance": 10000000,
"feeCcy": "VND",
"accountType": "PAYMENT",
"status": "ACTIVE",
"availableBalance": 9500000,
"minBalance": 50000,
"accountNumber": "1234567890"
}
}
FieldTypeDescription
codestringResult code (00 = Success).
messagestringResponse message.
data.currentBalancenumberCurrent balance.
data.feeCcystringFee currency.
data.accountTypestringAccount type (raw value returned by BIDV).
data.statusstringAccount status (raw value returned by BIDV).
data.availableBalancenumberAvailable balance.
data.minBalancenumberMinimum balance.
data.accountNumberstringAccount number.

Common error codes​

CodeDescriptionHow to handle
1077The BIDV authorization session has expired or has not been grantedCall Get the authorization URL (role = Maker) to re-authorize, then check again.
1021The bank is not supported for this APICheck bankBin; this API only supports BIDV (970418).
90, 91, 92, 97Request authentication error (timestamp, client-id, signature)See System error codes.
OthersOther errorsSee Error codes.